org.apache.flume.source.jms

## Interface JMSMessageConverter

- All Known Implementing Classes:
    DefaultJMSMessageConverter

      @InterfaceAudience.Public
      @InterfaceStability.Stable
      public interface JMSMessageConverter

  Converts a JMS Message to an Event. It's recommended that sub-classes define a static sub-class of the inner Builder class to handle configuration. Alternatively, the sub-class can the Configurable interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JMSMessageConverter.Builder` Implementors of JMSMessageConverter must either provide a suitable builder or implement the Configurable interface.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Event>` | `convert(javax.jms.Message message)`

- - ### Method Detail

    - #### convert

          List<Event> convert(javax.jms.Message message)
                              throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.